Skip to main content
POST
/
api
/
datasets
/
{id}
/
documents
Create a Document
curl --request POST \
  --url https://app.baseplate.ai/api/datasets/{id}/documents \
  --header 'Content-Type: application/json' \
  --data '
{
  "id": "<string>",
  "filename": "<string>",
  "url": "<string>",
  "content": "<string>",
  "parse_url": true,
  "chunk_size": 123,
  "chunk_overlap": 123,
  "metadata": {}
}
'
import requests

url = "https://app.baseplate.ai/api/datasets/{id}/documents"

payload = {
    "id": "<string>",
    "filename": "<string>",
    "url": "<string>",
    "content": "<string>",
    "parse_url": True,
    "chunk_size": 123,
    "chunk_overlap": 123,
    "metadata": {}
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: JSON.stringify({
    id: '<string>',
    filename: '<string>',
    url: '<string>',
    content: '<string>',
    parse_url: true,
    chunk_size: 123,
    chunk_overlap: 123,
    metadata: {}
  })
};

fetch('https://app.baseplate.ai/api/datasets/{id}/documents', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));



Path Parameters

id
string
required
Dataset ID
Authorization
string
Baseplate API key. Must be in the format β€œBearer $BASEPLATE_API_KEY”

Body

id
string
required
The document ID to create. Must be unique within a dataset.
filename
string
The name of the file
url
string
The url of the file
content
string
Content of a document to add.
parse_url
boolean
If true, will GET the url and parse the response as a document.
chunk_size
number
default:"1000"
Sets the chunk size if parse_url or content is set.
chunk_overlap
number
default:"100"
Sets the chunk overlap if parse_url or content is set.
metadata
object
Metadata to add to every row in the document. Optional.